﻿// StaffDlg.cpp: 实现文件
//

#include "pch.h"
#include "aike.h"
#include "afxdialogex.h"
#include "StaffDlg.h"


// StaffDlg 对话框

IMPLEMENT_DYNAMIC(StaffDlg, CDialogEx)

StaffDlg::StaffDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_STAFFDLG, pParent)
{

}

StaffDlg::~StaffDlg()
{
}

void StaffDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST1, m_Staff);
}


BEGIN_MESSAGE_MAP(StaffDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &StaffDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// StaffDlg 消息处理程序


void StaffDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
}


BOOL StaffDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  在此添加额外的初始化

	//设置员工信息表格
	m_Staff.SetExtendedStyle(m_Staff.GetExtendedStyle() | LVS_EX_DOUBLEBUFFER | LVS_EX_HEADERDRAGDROP | LVS_EX_GRIDLINES | LVS_EX_FULLROWSELECT);
	int i = 0;
	m_Staff.InsertColumn(i++, _T("工号"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("姓名"), LVCFMT_LEFT, 100);
	m_Staff.InsertColumn(i++, _T("性别"), LVCFMT_LEFT, 50);
	m_Staff.InsertColumn(i++, _T("职务"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("部门"), LVCFMT_LEFT, 60);
	m_Staff.InsertColumn(i++, _T("状态"), LVCFMT_LEFT, 50);
	m_Staff.InsertColumn(i++, _T("手机号"), LVCFMT_LEFT, 120);
	m_Staff.InsertColumn(i++, _T("入职日期"), LVCFMT_LEFT, 120);
	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常: OCX 属性页应返回 FALSE
}
