﻿
// aikeDlg.cpp: 实现文件
//

#include "pch.h"
#include "framework.h"
#include "aike.h"
#include "aikeDlg.h"
#include "afxdialogex.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define WM_TRAYICON_MSG (WM_USER + 100)			//创建托盘图标消息

// CaikeDlg 对话框



CaikeDlg::CaikeDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_AIKE_DIALOG, pParent)
	,MyDialog(this)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CaikeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	//DDX_Control(pDX, IDC_LIST1, m_Staff);
}

BEGIN_MESSAGE_MAP(CaikeDlg, CDialogEx)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_SIZE()
	ON_WM_GETMINMAXINFO()
	ON_MESSAGE(WM_TRAYICON_MSG, OnTrayCallBackMsg)				//点击了托盘图标
	ON_WM_DESTROY()
	ON_COMMAND(ID_SHOW_MENU, &CaikeDlg::OnShowMenu)
	ON_COMMAND(ID_CLONE_MENU, &CaikeDlg::OnCloneMenu)
END_MESSAGE_MAP()


// CaikeDlg 消息处理程序

BOOL CaikeDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();
	Initialize();

	return TRUE;  // 除非将焦点设置到控件，否则返回 TRUE
}

// 如果向对话框添加最小化按钮，则需要下面的代码
//  来绘制该图标。  对于使用文档/视图模型的 MFC 应用程序，
//  这将由框架自动完成。

void CaikeDlg::OnPaint()
{
	if (!IsIconic())
	{
		PaintDlg();
		CDialogEx::OnPaint();
	}
}

//当用户拖动最小化窗口时系统调用此函数取得光标
//显示。
HCURSOR CaikeDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


//截获窗口消息
BOOL CaikeDlg::PreTranslateMessage(MSG* pMsg)
{
	// TODO: 在此添加专用代码和/或调用基类
	PTMessage(pMsg);
	return __super::PreTranslateMessage(pMsg);
}

//窗口大小发生改变
void CaikeDlg::OnSize(UINT nType, int cx, int cy)
{
	__super::OnSize(nType, cx, cy);
	// TODO: 在此处添加消息处理程序代码
	MoveAllWin();
}

//设置窗口最大和最小范围
void CaikeDlg::OnGetMinMaxInfo(MINMAXINFO* lpMMI)
{
	// TODO: 在此添加消息处理程序代码和/或调用默认值
	lpMMI->ptMaxSize.y = GetSystemMetrics(SM_CYFULLSCREEN) + GetSystemMetrics(SM_CYCAPTION) + GetSystemMetrics(SM_CYDLGFRAME);
	lpMMI->ptMinTrackSize.x = 800;   //x宽度    
	lpMMI->ptMinTrackSize.y = 600;   //y高度  

	__super::OnGetMinMaxInfo(lpMMI);
}

//按下回车
void CaikeDlg::OnOK()
{
	// TODO: 在此添加专用代码和/或调用基类

	//__super::OnOK();
}

//窗口即将销毁
void CaikeDlg::OnDestroy()
{
	__super::OnDestroy();

	// TODO: 在此处添加消息处理程序代码
	TrayMylcon(FALSE);
}

//显示窗口（托盘消息）
void CaikeDlg::OnShowMenu()
{
	// TODO: 在此添加命令处理程序代码
	ShowWindow(SW_SHOWNORMAL);
	SetForegroundWindow();
}

//关闭窗口（托盘消息）
void CaikeDlg::OnCloneMenu()
{
	// TODO: 在此添加命令处理程序代码
	CDialogEx::OnCancel();
}

//初始化
VOID CaikeDlg::Initialize()
{
	//获取程序路径
	HMODULE module = GetModuleHandle(0);
	TCHAR path[MAX_PATH] = { 0 };
	GetModuleFileName(module, path, MAX_PATH);		//获取本程序绝对路径
	m_Path = path;
	m_Path = m_Path.Left(m_Path.ReverseFind('\\') + 1);
	GetPrivateProfileString(_T("SETTING"), _T("ServerName"), _T("127.0.0.1"), ServerIP.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("PassWord"), _T("Ncsr88352518"), AdoPass.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("UserName"), _T("sa"), UserName.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("DataBase"), _T("aike"), DataBase.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	//ServerProt
	//添加按钮
	CImage img, img1;
	img.Load(_T("../aike/res/background.jpg"));
	SetBackground(img);
	AddButton(1, CRect(0, 0, 25, 25));
	SetLClick(1, [this](int i) {MinClick(i); });
	AddButton(2, CRect(0, 0, 25, 25));
	SetLClick(2, [this](int i) {MaxClick(i); });
	AddButton(3, GetButtonRect(2));
	SetLClick(3, [this](int i) {ReductionClick(i); });
	AddButton(4, CRect(0, 0, 25, 25));
	SetLClick(4, [this](int i) {CloseClick(i); });

	CRect rt = { 0, 0, 180, 180 };
	rt.MoveToXY(100, 100);
	img.Destroy();
	img.Load(_T("../aike/res/business.jpg"));
	img1.Load(_T("../aike/res/business1.jpg"));
	AddButton(1000, rt, img, img1, img1, img1);


	rt.MoveToXY(300, 100);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/member.jpg"));
	img1.Load(_T("../aike/res/member1.jpg"));
	AddButton(2000, rt, img, img1, img1, img1);

	rt.MoveToXY(500, 100);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/report.jpg"));
	img1.Load(_T("../aike/res/report1.jpg"));
	AddButton(3000, rt, img, img1, img1, img1);

	rt.MoveToXY(100, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/Booking.jpg"));
	img1.Load(_T("../aike/res/Booking1.jpg"));
	AddButton(4000, rt, img, img1, img1, img1);

	rt.MoveToXY(300, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/inventory.jpg"));
	img1.Load(_T("../aike/res/inventory1.jpg"));
	AddButton(5000, rt, img, img1, img1, img1);

	rt.MoveToXY(500, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/basis.jpg"));
	img1.Load(_T("../aike/res/basis1.jpg"));
	AddButton(6000, rt, img, img1, img1, img1);
	SetLClick(6000, [this](int i) {SetUpClick(i); });



	EnableButton(3, FALSE);
	MaxClick(0);

	
	m_StaffDlg.Create(IDD_STAFFDLG, this);


	//FixedSize();
	 
	//连接服务器
	//SClien.Create();
	//SClien.SetConnectFun([this](int i) {TCPState(i); });
	//SClien.SetFunc([this]() {Process(); });
	//SClien.Connect(ServerIP, ServerProt);

	//连接数据库
	if (!AdoSql.ConnectSQL(ServerIP, DataBase, UserName, AdoPass))
	{
		MessageBox(_T("数据库连接失败"), _T("温馨提示"));
		exit(0);
	}
	MoveAllWin();
	TrayMylcon(TRUE);
}

//添加系统托盘
BOOL CaikeDlg::TrayMylcon(BOOL bAdd)
{
	BOOL bRet = FALSE;
	NOTIFYICONDATA tnd;
	tnd.cbSize = sizeof(NOTIFYICONDATA);
	tnd.hWnd = m_hWnd;
	tnd.uID = IDR_MAINFRAME;		//设置要加载的图标
	if (bAdd == TRUE)
	{
		tnd.uFlags = NIF_MESSAGE | NIF_ICON | NIF_TIP;
		tnd.uCallbackMessage = WM_TRAYICON_MSG;			//给主对话框发送自定义消息
		tnd.hIcon = LoadIcon(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_MAINFRAME));
		_tcscpy_s(tnd.szTip, sizeof(tnd.szTip), _T("爱客宾馆软件客户端"));
		bRet = Shell_NotifyIcon(NIM_ADD, &tnd);
	}
	else
	{
		SetForegroundWindow();
		bRet = Shell_NotifyIcon(NIM_DELETE, &tnd);
	}
	return bRet;
}

//点击系统托盘响应事件
LRESULT CaikeDlg::OnTrayCallBackMsg(WPARAM wparam, LPARAM lparam)
{
	switch (lparam)
	{
	case WM_RBUTTONUP:		//是右击
	{
		CMenu mMenu, * pMenu = NULL;
		CPoint pt;
		mMenu.LoadMenu(IDR_TRAY_MENU);	//加载右击弹出的菜单
		pMenu = mMenu.GetSubMenu(0);
		GetCursorPos(&pt);
		SetForegroundWindow();
		pMenu->TrackPopupMenu(TPM_LEFTALIGN | TPM_RIGHTBUTTON, pt.x, pt.y, this);
		break;
	}
	case WM_LBUTTONDBLCLK:		//鼠标左键双击
		if (IsIconic() == TRUE)	//获取是否是最小化
		{
			ShowWindow(SW_SHOWNORMAL);
		}
		else
		{
			ShowWindow(SW_SHOW);
		}
		SetForegroundWindow();
		break;

	default:
		break;
	}
	return LRESULT();
}

//最小化窗口
VOID CaikeDlg::MinClick(int id)
{
	ShowWindow(SW_HIDE);
}

//最大化窗口
VOID CaikeDlg::MaxClick(int id)
{
	ShowWindow(SW_MAXIMIZE);
	ShowButton(2, FALSE);
	ShowButton(3, TRUE);
}

//还原窗口
VOID CaikeDlg::ReductionClick(int id)
{
	ShowWindow(SW_RESTORE);
	CenterWindow(NULL);
	ShowButton(2, TRUE);
	ShowButton(3, FALSE);
}

//关闭窗口
VOID CaikeDlg::CloseClick(int id)
{
	if (MessageBox(_T("确定退出本软件？"), _T("温馨提示"), MB_OKCANCEL) == IDOK)
	{
		CDialogEx::OnCancel();
	}
}

VOID CaikeDlg::MoveAllWin()
{
	if (m_StaffDlg.m_hWnd == NULL)
	{
		return;
	}
	CRect rt, tt;
	GetWindowRect(rt);
	tt = { 0,0,25,25 };
	tt.MoveToX(rt.Width() - 75);
	MoveButton(1, tt);
	tt.MoveToX(rt.Width() - 50);
	MoveButton(2, tt);
	MoveButton(3, tt);
	tt.MoveToX(rt.Width() - 25);
	MoveButton(4, tt);

	GetWindowRect(rt);
	rt.MoveToXY(-50, -50);
	rt.left = 150;
	rt.top = (50);
	m_StaffDlg.MoveWindow(rt);
}


//隐藏所有按钮
VOID CaikeDlg::HideAllBt(BOOL Hide)
{
	ShowButton(1000, !Hide);
	ShowButton(2000, !Hide);
	ShowButton(3000, !Hide);
	ShowButton(4000, !Hide);
	ShowButton(5000, !Hide);
	ShowButton(6000, !Hide);
}

//设置按钮
VOID CaikeDlg::SetUpClick(int id)
{
	HideAllBt();
	CRect rt = { 0,0,100,30 };
	rt.MoveToXY(30, 50);
	if (AddButton(1001, rt))
	{
		SetLClick(1001, [this](int i) {HomepageClick(i); });

		rt.MoveToXY(30, 90);
		AddButton(6001, rt);
		SetLClick(6001, [this](int i) {StaffClick(i); });
	}
	ShowButton(1001, TRUE);
	ShowButton(6001, TRUE);
}

VOID CaikeDlg::StaffClick(int id)
{
	m_StaffDlg.ShowWindow(SW_SHOW);
	ShowStaff(m_StaffDlg.m_Staff);
}

//回到主页
VOID CaikeDlg::HomepageClick(int id)
{
	m_StaffDlg.ShowWindow(SW_HIDE);
	ShowButton(1001, FALSE);
	ShowButton(6001, FALSE);
	HideAllBt(FALSE);
}

//显示员工信息
VOID CaikeDlg::ShowStaff(CListCtrl& m_Staff)
{
	m_Staff.DeleteAllItems();
	CRect rt = { 0,0,100,30 };
	rt.MoveToXY(150, 50);
	_RecordsetPtr m_pRecor;
	_variant_t var;
	CString str = (_T("select JobID,a.name,sex,b.name 'department', c.name 'category',workforce,phone,BeginDate from staff a,department b,category c")), tmp;
	AdoSql.QuerySql(str, m_pRecor);
	int i = 0;
	while (!m_pRecor->GetadoEOF())
	{
		var = m_pRecor->GetCollect("JobID");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			if (tmp == _T(""))
			{
				m_pRecor->MoveNext();
				continue;
			}
			m_Staff.InsertItem(i, tmp);
		}
		else
		{
			m_pRecor->MoveNext();
			continue;
		}
		var = m_pRecor->GetCollect("name");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 1, tmp);
		}
		var = m_pRecor->GetCollect("sex");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 2, tmp);
		}
		var = m_pRecor->GetCollect("department");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 3, tmp);
		}
		var = m_pRecor->GetCollect("category");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 4, tmp);
		}
		var = m_pRecor->GetCollect("workforce");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 5, tmp);
		}
		var = m_pRecor->GetCollect("phone");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 6, tmp);
		}
		var = m_pRecor->GetCollect("BeginDate");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
			m_Staff.SetItemText(i, 7, tmp);
		}

		m_pRecor->MoveNext();
		i++;
	}
}



